## org.hibernate.service.jta.platform.internal
Interface JtaSynchronizationStrategy

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SynchronizationRegistryBasedSynchronizationStrategy, TransactionManagerBasedSynchronizationStrategy

    public interface JtaSynchronizationStrategy

extends Serializable

Contract used to centralize `Synchronization` handling logic.

Method Summary
`boolean` `canRegisterSynchronization()` Can a synchronization be registered?
`void` `registerSynchronization(Synchronization synchronization)` Register a synchronization

Method Detail

### registerSynchronization

    void registerSynchronization(Synchronization synchronization)

  Register a synchronization

  Parameters:
    `synchronization` - The synchronization to register.

### canRegisterSynchronization

    boolean canRegisterSynchronization()

  Can a synchronization be registered?

  Returns:
    true/false

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.